

%define kscreenlocker_major 5
%define libkscreenlocker %mklibname kscreenlocker %{kscreenlocker_major}
%define kscreenlocker_devel %mklibname kscreenlocker -d

Summary:        Library and components for secure lock screen architecture
Name:           kscreenlocker
Version: 		5.27.11
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  plasma-framework-devel 
BuildRequires:  kcmutils-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kidletime-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kcrash-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kwayland-devel
BuildRequires:  lib64consolekit-devel
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
Requires:       kidletime

%description
Library and components for secure lock screen architecture. 

%files -f %name.lang
%_libexecdir/kscreenlocker_greet
%_datadir/dbus-1/interfaces/kf5_org.freedesktop.ScreenSaver.xml
%_kf5_datadir/kconf_update/kscreenlocker.upd
%_kf5_datadir/kconf_update/ksreenlocker_5_3_separate_autologin.pl
%_kf5_datadir/knotifications5/ksmserver.notifyrc
%_kf5_datadir/ksmserver/screenlocker/org.kde.passworddialog
#--------------------------------------------------------------------
%_kf5_libdir/libKScreenLocker.so.%{kscreenlocker_major}*
#--------------------------------------------------------------------
%{_bindir}/ck-unlock-session
%{_datadir}/dbus-1/interfaces/org.kde.screensaver.xml
%{_datadir}/kpackage/kcms/kcm_screenlocker/contents/ui/Appearance.qml
%{_datadir}/kpackage/kcms/kcm_screenlocker/contents/ui/LnfConfig.qml
%{_datadir}/kpackage/kcms/kcm_screenlocker/contents/ui/WallpaperConfig.qml
%{_datadir}/kpackage/kcms/kcm_screenlocker/contents/ui/main.qml
/usr/lib64/qt5/plugins/plasma/kcms/systemsettings/kcm_screenlocker.so
/usr/share/applications/kcm_screenlocker.desktop
/usr/share/qlogging-categories5/kscreenlocker.categories

%package -n %kscreenlocker_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kscreenlocker_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kscreenlocker_devel
%_kf5_libdir/libKScreenLocker.so
%_includedir/KScreenLocker
%_kf5_libdir/cmake/KScreenLocker
%_kf5_libdir/cmake/ScreenSaverDBusInterface

#--------------------------------------------------------------------


%prep
%setup -q 


%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DSYSCONF_INSTALL_DIR="%_sysconfdir" 
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%find_lang --all-name %name


%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

